目录

Gets user information.

Request

HTTP Request

GET
https://drive.cloud.hicloud.com/drive/v1/about

Parameters

*Some parameters are mandatory.

Parameter NameType
Description
fieldsstringqueryFields in the request, which are in the partial response format.(Mandatory)
formstringqueryMedia format.
prettyPrintbooleanqueryIndicates whether to return a response in a human-readable format.
quotaIdstringqueryUser identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user.
callbackstringqueryCallback function used in JSONP requests.
x-hw-trace-idstringheaderID used for service tracing.
x-hw-app-idstringheaderApp ID.
versionstringheaderSDK version number.
x-hw-terminalstringheaderDevice model. 
x-hw-osstringheaderDevice operating system. 
unionIDstringheaderOpen user ID. 
User-AgentstringheaderApp version number or ID.

Request Body

Leave the request body empty.

Parameter NameTypeDescription

Response

If successful, this method returns a response body with the following structure:

  1. {
  2.            "category": "drive#about",
  3.            "user": {
  4.                "category": "drive#user",
  5.                "displayName": "string",
  6.                "profilePhotoLink": "string",
  7.                "me": true,
  8.                "permissionId": "string",
  9.                "userAccount": "string"
  10.            },
  11.            "storageQuota": {
  12.                "userCapacity": "string",
  13.                "usedSpace": "string"
  14.            },
  15.            "maxFileUploadSize": 0,
  16.            "maxThumbnailSize": 0,
  17.            "domain": "string",
  18.            "needUpdate": true,
  19.            "updateUrl": "string"
  20. }
Parameter NameTypeDescription
categorystringResource type. The value is always drive#about.
user.categorystringUser type. The value is always drive#user.
user.displayNamestringDisplay namefor this user.
user.profilePhotoLinkstringLink to the user's profile picture, which is not returned by default.
user.mebooleanIndicates whether this user is the requesting user.
user.permissionIdstringPermission ID.
user.userAccountstringAccount of the user, which is not returned by default.
storageQuota.userCapacitystringTotal storage.
storageQuota.usedSpacestringUsed storage.
maxFileUploadSizeintegerMaximum size of a file that can be uploaded.
maxThumbnailSizeintegerMaximum size of a thumbnail.
domainstringDomain name of this site.
needUpdatebooleanIndicates whether user data needs to be updated.
updateUrlstringURL of the update page.